//------------------------------------------------------------------------------
// This is an example of how a user might initialize and launch a simple dialog.
// The sample dialog "user1.dlg" has a variety of field types. The dialog
// definition specifies the macro to get control when the dialog commits. If the
// dialog is cancelled, normal SPF/SE processing resumes.
//
// In all cases, the call to SPFservice "dialog" must be the last statement
// in the macro which launches a dialog.
//
// NOTE: The name of this macro does not have to match the dialog name.
//------------------------------------------------------------------------------
void User1(void) {
 
  spfservice("vput","User1.TextIn","test text field"); // initialize text var
  spfservice("vput","User1.NumIn","99");               // initialize number var
  spfservice("vput","User1.ChoiceIn","SecondChoice");  // initialize choice var
  spfservice("vput","User1.BoolIn","TRUE");            // initialize boolean var
  spfservice("dialog","User1");                        // launch dialog
   
}
