//-----------------------------------------------------------------
//
// This macro uses SAVEAS to make a copy of the current BROWSE file
// under file name "$SPFVIEW.---" which can be modified or saved.
//    
// After using this macro, temporary SPF work file "$SPFVIEW.---"
// remains in the current directory. You can leave it in place or
// delete it.
//
//-----------------------------------------------------------------
void View(void) {

  char *path;
  char *last_char;
  char *file_type;
  char *work_filespec;
  char *command;
  int   i;

  path = spfservice("vget","ZDSNPATH");
  i = strlen(path);
  last_char = strgetsubstr(path,i,1);
  if (last_char != "\\") {
    strcat(path,"\\");
  }
  strcpy(work_filespec,path);
  strcat(work_filespec,"$SPFVIEW");
  file_type = spfservice("vget","ZDSNEXT");
  if (file_type != "") {
    strcat(work_filespec,".");
    strcat(work_filespec,file_type);
  }
  if (FileExist(work_filespec)) {
    FileDelete(work_filespec); // delete old VIEW file
  }
  command = strcompose("saveas ",work_filespec);
  spfservice("cmd",command); // create and edit new view file

} // View
