//------------------------------------------------------------------------
//
// Macro: IsHex
//
// Function: Test all chars in a string to determine if each and every one
// is a member of hex digit set "0123456789ABCDEFabcdef". To use, insert:
//
//     #include "ishex.c"
//
// at end of any macro which uses this function
//
//------------------------------------------------------------------------
BOOL IsHex(char *teststr) {

  int   textlen;
  int   i;
  BOOL  is_hex = FALSE;

  textlen = strlen(teststr);
  i = 1;
  while (i <= textlen) {
    if (strisinset(strgetsubstr(teststr,i,1),"0123456789ABCDEFabcdef")) {
      is_hex = TRUE;
      ++i; // test next char
      }
    else {
      is_hex = FALSE;
      i = textlen + 1; // end of test
    }
  } // while
  return(is_hex);

} // IsHex
